import request from '@/utils/request'

// 查询农专补充信息列表
export function listSupplement(query) {
  return request({
    url: '/basicData/xcrAgriculturalSupplement/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专补充信息详细
export function getSupplement(xhCodeId) {
  return request({
    url: '/basicData/xcrAgriculturalSupplement/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专补充信息
export function addSupplement(data) {
  return request({
    url: '/basicData/xcrAgriculturalSupplement',
    method: 'post',
    data: data
  })
}

// 修改农专补充信息
export function updateSupplement(data) {
  return request({
    url: '/basicData/xcrAgriculturalSupplement',
    method: 'put',
    data: data
  })
}

// 删除农专补充信息
export function delSupplement(xhCodeId) {
  return request({
    url: '/basicData/xcrAgriculturalSupplement/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delSupplementBatch(ids) {
  return request.post('/basicData/xcrAgriculturalSupplement/delete',ids)
}
